腾讯云Linux TCP "SACK PANIC" 远程拒绝服务漏洞

PangZhan
PangZhan
PangZhan
260
文章
82
评论
2019-06-2410:48:12 评论 55 1188字阅读3分57秒

看到这个漏洞通知,已经是N天了。修不修复对我来说没啥影响,我就用腾讯云搭了个"Tizi"。闲得无聊就复制过来给博客填充点文字吧。

腾讯云Linux TCP "SACK PANIC" 远程拒绝服务漏洞

0x01 漏洞详情

近日,腾讯云安全中心情报平台监测到 Netflix 信息安全团队研究员Jonathan Looney发现 Linux 以及 FreeBSD 等系统内核上存在严重远程DoS漏洞,攻击者可利用该漏洞构造并发送特定的 SACK 序列请求到目标服务器导致服务器崩溃或拒绝服务。

0x02 风险等级

高风险

0x03 漏洞风险

远程发送特殊构造的攻击包,导致目标 Linux 或 FreeBSD 服务器崩溃或服务不可用。

0x04 影响版本
目前已知受影响版本如下:
FreeBSD 12(使用到 RACK TCP 协议栈)
CentOS 5(Redhat 官方已停止支持,不再提供补丁
CentOS 6
CentOS 7
Ubuntu 18.04 LTS
Ubuntu 16.04 LTS
Ubuntu 19.04
Ubuntu 18.10
0x05 安全版本
各大Linux发行厂商已发布内核修复补丁,详细内核修复版本如下:
CentOS 6 :2.6.32-754.15.3
CentOS 7 :3.10.0-957.21.3
Ubuntu 18.04 LTS:4.15.0-52.56
Ubuntu 16.04 LTS:4.4.0-151.178
FreeBSD:腾讯云官方提供的 FreeBSD 镜像默认不受该漏洞影响,请放心使用。
0x06 CentOS 6/7 方案
yum clean all && yum makecache  #进行软件源更新;
yum update kernel  -y  #更新当前内核版本;
reboot  #更新后重启系统生效;
uname -a  #检查当前版本是否为上述【0x05 安全版本】,如果是,则说明修复成功。
0x07 Ubuntu 16.04/18.04 LTS 方案
sudo apt-get update && sudo apt-get install linux-image-generic  #进行软件源更新最新内核版本;
sudo reboot  #更新后重启系统生效;
uname -a  #检查当前版本是否为【0x05安全版本】,如果是,则说明修复成功。
0x08 临时缓解方案

如用户不方便重启进行内核补丁更新,可选择如下方式禁用内核 SACK配置防范漏洞利用(可能会对网络性能产生一定影响),运行如下命令即可:

echo 'net.ipv4.tcp_sack = 0' >> /etc/sysctl.conf  #禁用 SACK 配置;
sysctl -p  #重载配置,使其生效。
匿名

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: